API specification

Version 6.0

This document details all the functions for integrating with Street Manager via the latest version of the API. See the ‘Versions and Changes’ section for more details on previous versions. The documentation for the latest version of the API is available here.


Worklist API

Get permits about to deem

GET /permits-about-to-deem

This endpoint will be used by HA users to retrieve information on permits that are due to deem ‘today’. The response will be an array of objects containing the following properties:

Get work stops due

GET /work-stops-due

This endpoint will be used by promoter and contractor users to retrieve information on works that have been started. It will only return works that have not net been stopped where the proposed end date is ‘yesterday’, ‘today’, or ‘tomorrow’. The response will be an array of objects containing the following properties:

Get potential works overrunning

GET /potential-works-overrunning

This endpoint is available to Highway Authority users only. It returns information on works that have been started but not yet stopped, where the reasonable period end date elapsed between 1 and 7 days ago. The response will be an array of objects containing the following properties:

Entries can be dismissed using the Delete endpoint below. A dismissed entry will reappear if a subsequent duration-challenge resolution event changes the reasonable period end date so that it falls back within the 1–7 day window.

Delete potential works overrunning entry

DELETE /potential-works-overrunning/{permitReferenceNumber}

This endpoint is available to Highway Authority users only. It removes a single permit from the potential works overrunning worklist. The endpoint is idempotent — if the entry does not exist the response will still be 204 No Content.

Get refused permits

GET /refused-permits

This endpoint will be used by promoter and contractor users to retrieve information on permits that have been refused in the last 7 days. The response will be an array of objects containing the following properties:

Get work starts due

GET /work-starts-due

This endpoint will be used by Planner and Contractor users to retrieve information on granted permits where the works start has not yet been logged and the proposed start date falls within today through the next 7 days. Results are sorted by proposed_start_date ascending. An optional swa_code query parameter may be supplied by Contractor users to filter results to a specific Highway Authority.

Only permits meeting all of the following criteria are included:

The response will be an array of objects containing the following properties:

Get change requests about to deem

GET /change-requests-about-to-deem

This endpoint will be used by Highway Authority users to retrieve information on change requests that are due to deem ‘today’. The response will be an array of objects sorted by work status (in progress first) then change submission date (oldest first), containing the following properties: